--- autossh.c.orig	2004-02-19 12:57:19.000000000 -0500
+++ autossh.c	2004-03-16 16:31:13.000000000 -0500
@@ -140,7 +140,7 @@
 usage(void)
 {
 	fprintf(stderr, 
-	    "usage: %s -M monitor_port [-f] [SSH_OPTIONS]\n", 
+	    "usage: %s [-M monitor_port] [-f] [SSH_OPTIONS]\n", 
 	    __progname);
 }
 
@@ -200,6 +200,13 @@
 		writep = env_port;
 
 	/*
+	 * If it didn't come from environment or -M, set a default,
+	 * and make it appear as if it came from the environment.
+	 */
+	if (!writep)
+	  env_port = writep = "21021";
+
+	/*
 	 * We must at least have a monitor port and a remote host.
 	 */
 	if (env_port) { 
@@ -409,7 +416,8 @@
 	}		
 
 	if ((s = getenv("AUTOSSH_PORT")) != NULL)
-		env_port = s;
+   	        if( *s != '\0')
+		        env_port = s;
 
 	return;
 }
